<div class="breadcrumbs overlay" data-stellar-background-ratio="0.7">

</div>

<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item">Search <i class="icon-tick-bold"></i></a>
                </li>
                <li class="done">
                    <a class="item" ng-click="goBack('/hotelResult')" href>Choose Hotel <i class="icon-tick-bold"></i></a>
                </li>
                <li class="done">
                    <a class="item"  ng-click="goBack('/hotelDetails')" href>Choose Room <i class="icon-tick-bold"></i></a>
                </li>
                <li class="active">
                    <span class="item">Book</span>
                </li>
            </ul>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-md-12">
            <h3>
                Book Your Hotel
            </h3>
        </div>
    </div>
    <div class="row ">
        <div class="col">
            <div class="card book-review mb-4">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <figure class="my-0">
                                <img src="{{selectedHotelResp1.galleries[0].path}}" />
                            </figure>
                        </div>
                        <div class="col-md-8 pt-3">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h5>{{selectedHotelResp1.name}}</h5>
                                            <ul class="sc-c-listing-card__ratings inline-info-list">
                                                <li ng-repeat="i in getNumber(hotelDetails.star) track by $index">
                                                    <img ng-show="starRating!=null" src="images/starts/{{starRating}}.png"/></h3>
                                                </li>
                                            </ul>
                                            <p><a href class="hyperlink"><i class="o-icon-label__icon icon-pin"></i> {{selectedHotelResp1.address}}</a></p>
                                            <p ng-repeat="roomInfo in repriceResp.repriceResponse.roomDetails">
                                            <b>Room-{{$index+1}}</b>&nbsp;	{{roomInfo.roomType}}
                                            </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-8">
                                            <div class="calendar-date">
                                                <div class="part head">
                                                    Check-In
                                                </div>
                                                <div class="part body">
                                                    <div class="date" ng-bind="selectedHotelResp.checkInDate.split('-')[0]"></div>
												<div class="month"><span ng-bind="selectedHotelResp.checkInDate.split('-')[1]"></span>&nbsp;&nbsp;<span ng-bind="selectedHotelResp.checkInDate.split('-')[2]"></span></div>
                                                    <div class="day"></div>
                                                </div>
                                            </div>
                                            <div class="calendar-date">
                                                <div class="part head">
                                                    Check-Out
                                                </div>
                                                <div class="part body">
                                                    <div class="date" ng-bind="selectedHotelResp.checkOutDate.split('-')[0]"></div>
                                                    <div class="month"><span ng-bind="selectedHotelResp.checkOutDate.split('-')[1]"></span>&nbsp;&nbsp;<span ng-bind="selectedHotelResp.checkOutDate.split('-')[2]"></span></div>
                                                    <div class="day"></div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 text-right pt-5">
                                            <div class="sc-c-price-block__amount sc-c-price-block__amount--secondary">
											<span ng-bind="currency"></span>&nbsp;&nbsp;<span ng-bind="repriceResp.repriceResponse.totalFare"></span>
                                            </div>
                                            <span>Hotel total price for {{nights}} nights</span>
                                            <p><a ng-click="goBack('/hotelResult')" class="link"><i class="icon-return"></i> Change Hotel</a></p>
                                        </div>
                                    </div>

                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<form name="passengerDetails" ng-submit="payment('Payment', passengerDetails.$valid)">
    <div class="card book-review mb-4">
        <h5 class="card-header">Contact Details
            <button type="button" class="btn btn-select btn-outline btn-signin-header" ng-click="signIn();">
                Sign in to book faster
			</button>
		</h5>
        <div class="card-body" >
            
            <p class="card-text">Please enter your information in English</p>
            <div class="row mt-2">
                <div class="col-md-5">
				<label>Email</label><span class="red">*</span>
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon1"><i class="fa fa-envelope-o" aria-hidden="true"></i></span>
						</div>
                        <input type="email" class="form-control" id="email" placeholder="abc@xyz.com" required/>
					</div>
				</div>
                <div class="col-md-5" ng-show="showSignIn">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon2"><i class="fa fa-lock" aria-hidden="true"></i></span>
						</div>
                        <input type="password" class="form-control" id="password" placeholder="Enter Password" />
					</div>
				</div>
				<div class="col-md-5" ng-hide="showSignIn">
				<label>Contact</label><span class="red">*</span>
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon3"><i class="fa fa-phone" aria-hidden="true"></i></span>
						</div>
                        <input type="text" class="form-control" id="contact" name="contact" placeholder="Enter Mobile Number" required/>
					</div>
				</div>
                
			</div>
            
            
	</div>
		</div>
	
    <div class="card book-review ">
        <h5 class="card-header">Guest Details</h5>
        <div class="card-body ">
		
            <p class="card-text">Names must be entered in full and should be spelt as they appear on the passengers passport.</p>
           
			<div  ng-repeat="rooms in travellersListByRoom">
				 <h6>Room {{$index+1}}</h6><br/>
				 <div class="traveller adultTrvlr" ng-repeat="adult in rooms.adultTravellersList track by $index">
				 <h6>Adult {{$index+1}}</h6>
            <div class="row passenger-row">
                <div class="col-md-3">
					<label>Title</label><span class="red">*</span>
					<select name="title" class="form-control" id="asalutation_{{$index}}" ng-model="adult.personaldata.salutation" required autocomplete="off" ng-options="x for x in salutations">
					</select>
					</div>
					<div class="col-md-3">
						<label>Given Name</label><span class="red">*</span>
						<input type="text" name="afname" class="form-control" onkeyup="this.value=this.value.replace(/[^A-Za-z]/g,'');" id="afname_{{$index}}" ng-model="adult.personaldata.fname" placeholder="Given Name" required autocomplete="off"/>
						</div>
					<div class="col-md-3">
						<label>Last Name</label><span class="red">*</span>
						<input type="text" name="alname" class="form-control" id="alname_{{$index}}" onkeyup="this.value=this.value.replace(/[^A-Za-z]/g,'');" placeholder="Last Name" ng-model="adult.personaldata.lname" required autocomplete="off"/>
						</div>
					<div class="col-md-3">
						<label>Date of Birth</label><span class="red">*</span>
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
								</div>
								<input type="text" class="form-control adateOfBirth" data-age="{{adult.age}}" id="adateOfBirth_{{$index}}" name="dateOfBirth" ng-model="adult.personaldata.dob" placeholder="dd/mm/yyyy" required autocomplete="off"/>
							</div> 
						</div>
            </div>
			
			<div class="row passenger-row">
                <div class="col-md-3">
					<label>Contact</label><span class="red">*</span>
					<input type="text" name="acontact" id="acontact_{{$index}}" class="form-control" onkeyup="this.value=this.value.replace(/[^0-9]/g,'');" placeholder="Contact" ng-model="adult.personaldata.mobile" maxlength="10" required  autocomplete="off"/>
					</div>
					<div class="col-md-3">
						<label>E-mail</label><span class="red">*</span>
						<input type="email" name="amail"  ng-model="adult.personaldata.email" class="form-control" id="amail_{{$index}}" placeholder="E-mail" required />
						</div>
					<div class="col-md-3">
						<label>Nationality</label>
						<select class="form-control" name="anationalityVal" ng-model="adult.personaldata.nationalityname" id="anationalityVal_{{$index}}" autocomplete="off">
								<option value="Select">Select</option>
								<option value="{{nation.code}}" ng-repeat="nation in nationality1">{{nation.displayname}}</option>
							</select>
						</div>
					<div class="col-md-3">
						<label>Passport No.</label><span class="red">*</span>
						<input type="test" name="apassport" id="apassport_{{$index}}" ng-model="adult.personaldata.passportNo"  placeholder="Passport No" class="form-control" required/>
						</div>
            </div>
			</div>
			
			<!-- for children -->
			
			<div class="traveller childTrvlr" ng-repeat="child in rooms.childTravellersList track by $index">
				 <h6>Child {{$index+1}}</h6>
            <div class="row passenger-row">
                <div class="col-md-3">
					<label>Title</label><span class="red">*</span>
					<select name="title" class="form-control csalutation" ng-model="child.personaldata.salutation" id="csalutation_{{$index}}" required autocomplete="off">
								
								<option value="Mr">Mr</option>
								<option >Mrs</option>
								<option >Miss</option>
							</select>
					</div>
					<div class="col-md-3">
						<label>Given Name</label><span class="red">*</span>
						<input type="text" class="form-control cfname" name="afname" onkeyup="this.value=this.value.replace(/[^A-Za-z]/g,'');" id="cfname_{{$index}}" ng-model="child.personaldata.fname" placeholder="Given Name" required autocomplete="off"/>
						</div>
					<div class="col-md-3">
						<label>Last Name</label>
						<input type="text" name="alname" class="clname form-control" onkeyup="this.value=this.value.replace(/[^A-Za-z]/g,'');" id="clname_{{$index}}" placeholder="Sur Name" ng-model="child.personaldata.lname" required autocomplete="off"/>
						</div>
					<div class="col-md-3">
						<label>Date of Birth</label><span class="red">*</span>
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text" id="basic-addon1"><i class="icon-calendar"></i></span>
								</div>
								<input type="text" class="form-control cdateOfBirth" id="cdateOfBirth_{{$index}}" name="cdateOfBirth" ng-model="date" placeholder="dd/mm/yyyy" ng-model="child.personaldata.dob" required autocomplete="off"/>
							</div> 
						</div>
            </div>
			
			<div class="row passenger-row">
                <div class="col-md-3">
					<label>Contact</label><span class="red"></span>
					<input type="text" class="ccontact form-control" name="ccontact" onkeyup="this.value=this.value.replace(/[^0-9]/g,'');" id="ccontact_{{$index}}" placeholder="Contact" ng-model="child.personaldata.mobile" maxlength="10" required autocomplete="off"/>
					</div>
					<div class="col-md-3">
						<label>E-mail</label><span class="red"></span>
						<input type="email" class="cmail form-control" name="amail" id="cmail_{{$index}}" placeholder="E-mail" required autocomplete="off" ng-model="child.personaldata.email"/>
						</div>
					<div class="col-md-3">
						<label>Nationality</label>
						<select class="form-control cnationalityVal" name="anationalityVal" ng-model="child.personaldata.nationalityname" id="cnationalityVal_{{$index}}" autocomplete="off">
								<option value="Select">Select</option>
								<option value="{{nation.code}}" ng-repeat="nation in nationality1">{{nation.displayname}}</option>
							</select>
						</div>
					<div class="col-md-3">
						<label>Passport No.</label><span class="red">*</span>
						<input type="text" name="apassport" id="cpassport_{{$index}}" ng-model="child.personaldata.passportNo" placeholder="Passport No" class="form-control cpassport" required autocomplete="off"/>
						</div>
            </div>
			</div><hr/>
			
			</div>
        </div>
    </div>

	<div class="card book-review mb-4">
	<h5 class="card-header">Payment Method
		<!-- <img src="images/card/american.png">
	<img src="images/card/dinners.png"> -->
	<img src="images/card/master.png">
	<!-- <img src="images/card/metro.png"> -->
	<img src="images/card/visa.png"></h5>
		</h5>
	<div class="card-body">
	<div class="row">
	<div class="col-md-2">
	<label>Card Number</label><span class="red">*</span>
		<input type="text" name="cardNo" id="cardNo" ng-change="payNow();" onkeyup="this.value=this.value.replace(/[^0-9]/g, '')" ng-model="paymentDetail.cardNo" placeholder="Card Number" class="form-control" autocomplete="off" maxlength="16" required/>
	</div>
	<div>
		<img ng-show="showCard" src="images/card/{{path}}.png" /><span class="cardErr" ng-show="message">Invalid Card</span>
		</div>
	<div class="col-md-3">
	<div class="row">
		<div class="col-md-6">
		<label>Expiry Month</label><span class="red">*</span>
			<!-- <input type="text" name="expire" id="expiremonth" ng-model="paymentDetail.expireMonth" placeholder="Expire MM" class="form-control" uib-typeahead="months for months in month | filter:$viewValue | limitTo:8" maxlength="2" autocomplete="false"/> -->
			<select class="form-control" name="expire" id="expiremonth" ng-model="paymentDetail.expireMonth" autocomplete="off">
				<option value="">Select MM</option>
				<option>01</option><option>02</option><option>03</option><option>04</option><option>05</option><option>06</option>
				<option>07</option><option>08</option><option>09</option><option>10</option><option>11</option><option>12</option>
				</select>
			</div>
		<div class="col-md-6">
		<label>Expiry Year</label><span class="red">*</span>
			<!-- <input type="text" name="expire" id="expireYrs" ng-model="paymentDetail.expireYear" placeholder="Expire YYYY" class="form-control" autocomplete="off" uib-typeahead="years for years in year | filter:$viewValue | limitTo:8" maxlength="4"/> -->
			<select class="form-control" name="expire" id="expireYrs" ng-model="paymentDetail.expireYear" autocomplete="off">
				<option value="">Select YY</option>
				<option>18</option><option>19</option><option>20</option><option>21</option><option>22</option><option>23</option>
				<option>24</option><option>25</option><option>26</option><option>27</option><option>28</option><option>29</option>
				<option>30</option><option>31</option><option>32</option><option>33</option><option>34</option><option>35</option>
				</select>
			</div>
		</div>
		
		
		</div>
	<div class="col-md-2">
	<label>CVV</label><span class="red">*</span>
		<input type="password" name="cvv" id="cvv" ng-model="paymentDetail.cvv" onkeyup="this.value=this.value.replace(/[^0-9]/g, '')" placeholder="CVV" class="form-control" autocomplete="off" maxlength="3"/>
		</div>
	<div class="col-md-2">
	<label>Cardholder Name</label><span class="red">*</span>
		<input type="text" name="cardname" id="cardName" ng-model="paymentDetail.cardName" onkeyup="this.value=this.value.replace(/[^A-Za-z]/g, '')" placeholder="Cardholder Name" class="form-control" autocomplete="off"/>
		</div>
		</div>
		</div>
	</div>
   
   <div class="card book-review my-4">
        <h5 class="card-header">Payments</h5>
        <div class="card-body">
            <div class="row">
                <div class="col-md-6">
                    Total payable
                </div>
                <div class="col-md-6 text-right total-pay">
                    <span ng-bind="currency"></span>&nbsp;&nbsp;<span ng-bind="repriceResp.repriceResponse.totalFare"></span>
                </div>
            </div>
        </div>
    </div>
    <p class="my-4">By clicking on <b>'Pay Now'</b> you are agreeing to the <a class="link" href>Terms and Conditions</a> and <a class="link" href>Fare Rules</a>.</p>

    <div class="row mb-5">
        <div class="col"></div>
        <div class="col">
            <!-- <button type="submit" class="btn btn-block btn-select btn-details" ng-click="payment(Payment);">
                Pay Now
            </button> -->
			<button type="submit" class="btn btn-block btn-select btn-details">
                Pay Now
            </button>
        </div>
        <div class="col"></div>
    </div>
	</form>
	</div>
	
	<script type="text/javascript">
$(document).ready(function () {
   
    //Disable part of page
    $('#cardNo').bind('cut copy paste', function (e) {
        e.preventDefault();
    });
});
</script>
